﻿namespace Cop.Borovkov.Var3.Models
{
    /// <summary>
    /// Информация о строке
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public record RowInfo<T> where T : class
    {
        /// <summary>
        /// Высота строки
        /// </summary>
        public float Height { get; set; } = 0.5f;

        /// <summary>
        /// Значение строки
        /// </summary>
        public T Value { get; set; } = null!;
    }
}
